
Name:          noderunner-amazon-s3
Version:       1.0.0.1
Release:       %mkrel 1
Summary:       Amazon S3 REST client and server
Group:         Development/Java
License:       LGPL
Url:           http://e-xml.sourceforge.net/
Source0:       http://repository.exoplatform.org/content/repositories/public/net/noderunner/amazon-s3/1.0.0.1/amazon-s3-1.0.0.1-sources.jar
Source1:       http://repository.exoplatform.org/content/repositories/public/net/noderunner/amazon-s3/1.0.0.1/amazon-s3-1.0.0.1.pom
# add commons-codec
Patch0:        noderunner-amazon-s3-1.0.0.1-pom_xml.patch
BuildRequires: apache-commons-codec
BuildRequires: jakarta-commons-httpclient
BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: junit4
BuildRequires: liblog4j-java
BuildRequires: maven
BuildRequires: maven-compiler-plugin
BuildRequires: maven-source-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: maven-surefire-provider-junit4
BuildRequires: maven-wagon
BuildRequires: noderunner-http
BuildRequires: servletapi4

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java

Requires:      jakarta-commons-httpclient
Requires:      noderunner-http
Requires:      servletapi4
BuildArch:     noarch

%description
Cleaned-up version of the Amazon S3 REST access layer.

%package javadoc
Summary:          Javadocs for %{name}
Group:            Development/Java
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -T -q -c noderunner-amazon-s3-%{version}
mkdir -p src/main/java
(
  cd src/main/java
  unzip %{SOURCE0}
)

cp -pr %{SOURCE1} pom.xml
%patch0 -p0

%build
mvn-rpmbuild install javadoc:aggregate

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -pm 644 target/amazon-s3-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom

%add_maven_depmap JPP-%{name}.pom %{name}.jar

install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp target/site/apidocs $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%{_javadir}/*

%files javadoc
%{_javadocdir}/%{name}





%changelog
* Sat Aug 06 2011 dmorgan <dmorgan> 1.0.0.1-1.mga2
+ Revision: 132058
- Fix buildrequires
- Clean spec file

  + gil <gil>
    - imported package noderunner-amazon-s3

